org.apache.tinkerpop.gremlin.language.grammar

## Class GremlinLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.apache.tinkerpop.gremlin.language.grammar.GremlinLexer

- All Implemented Interfaces:
    org.antlr.v4.runtime.TokenSource

      public class GremlinLexer
      extends org.antlr.v4.runtime.Lexer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN`
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA`
    `static String` | `_serializedATN`
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache`
    `static int` | `ANON_TRAVERSAL_ROOT`
    `static int` | `BooleanLiteral`
    `static String[]` | `channelNames`
    `static int` | `COLON`
    `static int` | `COMMA`
    `static int` | `DOT`
    `static int` | `EmptyStringLiteral`
    `static int` | `FloatingPointLiteral`
    `static int` | `IntegerLiteral`
    `static int` | `LBRACE`
    `static int` | `LBRACK`
    `static int` | `LINE_COMMENT`
    `static int` | `LPAREN`
    `static String[]` | `modeNames`
    `static int` | `NEW`
    `static int` | `NonEmptyStringLiteral`
    `static int` | `NullLiteral`
    `static int` | `RBRACE`
    `static int` | `RBRACK`
    `static int` | `RPAREN`
    `static String[]` | `ruleNames`
    `static int` | `SEMI`
    `static int` | `T__0`
    `static int` | `T__1`
    `static int` | `T__10`
    `static int` | `T__100`
    `static int` | `T__101`
    `static int` | `T__102`
    `static int` | `T__103`
    `static int` | `T__104`
    `static int` | `T__105`
    `static int` | `T__106`
    `static int` | `T__107`
    `static int` | `T__108`
    `static int` | `T__109`
    `static int` | `T__11`
    `static int` | `T__110`
    `static int` | `T__111`
    `static int` | `T__112`
    `static int` | `T__113`
    `static int` | `T__114`
    `static int` | `T__115`
    `static int` | `T__116`
    `static int` | `T__117`
    `static int` | `T__118`
    `static int` | `T__119`
    `static int` | `T__12`
    `static int` | `T__120`
    `static int` | `T__121`
    `static int` | `T__122`
    `static int` | `T__123`
    `static int` | `T__124`
    `static int` | `T__125`
    `static int` | `T__126`
    `static int` | `T__127`
    `static int` | `T__128`
    `static int` | `T__129`
    `static int` | `T__13`
    `static int` | `T__130`
    `static int` | `T__131`
    `static int` | `T__132`
    `static int` | `T__133`
    `static int` | `T__134`
    `static int` | `T__135`
    `static int` | `T__136`
    `static int` | `T__137`
    `static int` | `T__138`
    `static int` | `T__139`
    `static int` | `T__14`
    `static int` | `T__140`
    `static int` | `T__141`
    `static int` | `T__142`
    `static int` | `T__143`
    `static int` | `T__144`
    `static int` | `T__145`
    `static int` | `T__146`
    `static int` | `T__147`
    `static int` | `T__148`
    `static int` | `T__149`
    `static int` | `T__15`
    `static int` | `T__150`
    `static int` | `T__151`
    `static int` | `T__152`
    `static int` | `T__153`
    `static int` | `T__154`
    `static int` | `T__155`
    `static int` | `T__156`
    `static int` | `T__157`
    `static int` | `T__158`
    `static int` | `T__159`
    `static int` | `T__16`
    `static int` | `T__160`
    `static int` | `T__161`
    `static int` | `T__162`
    `static int` | `T__163`
    `static int` | `T__164`
    `static int` | `T__165`
    `static int` | `T__166`
    `static int` | `T__167`
    `static int` | `T__168`
    `static int` | `T__169`
    `static int` | `T__17`
    `static int` | `T__170`
    `static int` | `T__171`
    `static int` | `T__172`
    `static int` | `T__173`
    `static int` | `T__174`
    `static int` | `T__175`
    `static int` | `T__176`
    `static int` | `T__177`
    `static int` | `T__178`
    `static int` | `T__179`
    `static int` | `T__18`
    `static int` | `T__180`
    `static int` | `T__181`
    `static int` | `T__182`
    `static int` | `T__183`
    `static int` | `T__184`
    `static int` | `T__185`
    `static int` | `T__186`
    `static int` | `T__187`
    `static int` | `T__188`
    `static int` | `T__189`
    `static int` | `T__19`
    `static int` | `T__190`
    `static int` | `T__191`
    `static int` | `T__192`
    `static int` | `T__193`
    `static int` | `T__194`
    `static int` | `T__195`
    `static int` | `T__196`
    `static int` | `T__197`
    `static int` | `T__198`
    `static int` | `T__199`
    `static int` | `T__2`
    `static int` | `T__20`
    `static int` | `T__200`
    `static int` | `T__201`
    `static int` | `T__202`
    `static int` | `T__203`
    `static int` | `T__204`
    `static int` | `T__205`
    `static int` | `T__206`
    `static int` | `T__207`
    `static int` | `T__208`
    `static int` | `T__209`
    `static int` | `T__21`
    `static int` | `T__210`
    `static int` | `T__211`
    `static int` | `T__212`
    `static int` | `T__213`
    `static int` | `T__214`
    `static int` | `T__215`
    `static int` | `T__216`
    `static int` | `T__217`
    `static int` | `T__218`
    `static int` | `T__219`
    `static int` | `T__22`
    `static int` | `T__220`
    `static int` | `T__221`
    `static int` | `T__222`
    `static int` | `T__223`
    `static int` | `T__224`
    `static int` | `T__225`
    `static int` | `T__226`
    `static int` | `T__227`
    `static int` | `T__228`
    `static int` | `T__229`
    `static int` | `T__23`
    `static int` | `T__230`
    `static int` | `T__231`
    `static int` | `T__232`
    `static int` | `T__233`
    `static int` | `T__234`
    `static int` | `T__235`
    `static int` | `T__236`
    `static int` | `T__237`
    `static int` | `T__238`
    `static int` | `T__239`
    `static int` | `T__24`
    `static int` | `T__240`
    `static int` | `T__241`
    `static int` | `T__242`
    `static int` | `T__243`
    `static int` | `T__244`
    `static int` | `T__245`
    `static int` | `T__246`
    `static int` | `T__247`
    `static int` | `T__248`
    `static int` | `T__249`
    `static int` | `T__25`
    `static int` | `T__250`
    `static int` | `T__251`
    `static int` | `T__252`
    `static int` | `T__253`
    `static int` | `T__254`
    `static int` | `T__255`
    `static int` | `T__256`
    `static int` | `T__257`
    `static int` | `T__258`
    `static int` | `T__259`
    `static int` | `T__26`
    `static int` | `T__260`
    `static int` | `T__27`
    `static int` | `T__28`
    `static int` | `T__29`
    `static int` | `T__3`
    `static int` | `T__30`
    `static int` | `T__31`
    `static int` | `T__32`
    `static int` | `T__33`
    `static int` | `T__34`
    `static int` | `T__35`
    `static int` | `T__36`
    `static int` | `T__37`
    `static int` | `T__38`
    `static int` | `T__39`
    `static int` | `T__4`
    `static int` | `T__40`
    `static int` | `T__41`
    `static int` | `T__42`
    `static int` | `T__43`
    `static int` | `T__44`
    `static int` | `T__45`
    `static int` | `T__46`
    `static int` | `T__47`
    `static int` | `T__48`
    `static int` | `T__49`
    `static int` | `T__5`
    `static int` | `T__50`
    `static int` | `T__51`
    `static int` | `T__52`
    `static int` | `T__53`
    `static int` | `T__54`
    `static int` | `T__55`
    `static int` | `T__56`
    `static int` | `T__57`
    `static int` | `T__58`
    `static int` | `T__59`
    `static int` | `T__6`
    `static int` | `T__60`
    `static int` | `T__61`
    `static int` | `T__62`
    `static int` | `T__63`
    `static int` | `T__64`
    `static int` | `T__65`
    `static int` | `T__66`
    `static int` | `T__67`
    `static int` | `T__68`
    `static int` | `T__69`
    `static int` | `T__7`
    `static int` | `T__70`
    `static int` | `T__71`
    `static int` | `T__72`
    `static int` | `T__73`
    `static int` | `T__74`
    `static int` | `T__75`
    `static int` | `T__76`
    `static int` | `T__77`
    `static int` | `T__78`
    `static int` | `T__79`
    `static int` | `T__8`
    `static int` | `T__80`
    `static int` | `T__81`
    `static int` | `T__82`
    `static int` | `T__83`
    `static int` | `T__84`
    `static int` | `T__85`
    `static int` | `T__86`
    `static int` | `T__87`
    `static int` | `T__88`
    `static int` | `T__89`
    `static int` | `T__9`
    `static int` | `T__90`
    `static int` | `T__91`
    `static int` | `T__92`
    `static int` | `T__93`
    `static int` | `T__94`
    `static int` | `T__95`
    `static int` | `T__96`
    `static int` | `T__97`
    `static int` | `T__98`
    `static int` | `T__99`
    `static String[]` | `tokenNames` Deprecated. Use `VOCABULARY` instead.
    `static int` | `TRAVERSAL_ROOT`
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.v4.runtime.Lexer

      `_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinLexer(org.antlr.v4.runtime.CharStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.antlr.v4.runtime.atn.ATN` | `getATN()`
    `String[]` | `getChannelNames()`
    `String` | `getGrammarFileName()`
    `String[]` | `getModeNames()`
    `String[]` | `getRuleNames()`
    `String` | `getSerializedATN()`
    `String[]` | `getTokenNames()` Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()`

    - ### Methods inherited from class org.antlr.v4.runtime.Lexer

      `emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

    - #### T__0

          public static final int T__0

      See Also:
        Constant Field Values

    - #### T__1

          public static final int T__1

      See Also:
        Constant Field Values

    - #### T__2

          public static final int T__2

      See Also:
        Constant Field Values

    - #### T__3

          public static final int T__3

      See Also:
        Constant Field Values

    - #### T__4

          public static final int T__4

      See Also:
        Constant Field Values

    - #### T__5

          public static final int T__5

      See Also:
        Constant Field Values

    - #### T__6

          public static final int T__6

      See Also:
        Constant Field Values

    - #### T__7

          public static final int T__7

      See Also:
        Constant Field Values

    - #### T__8

          public static final int T__8

      See Also:
        Constant Field Values

    - #### T__9

          public static final int T__9

      See Also:
        Constant Field Values

    - #### T__10

          public static final int T__10

      See Also:
        Constant Field Values

    - #### T__11

          public static final int T__11

      See Also:
        Constant Field Values

    - #### T__12

          public static final int T__12

      See Also:
        Constant Field Values

    - #### T__13

          public static final int T__13

      See Also:
        Constant Field Values

    - #### T__14

          public static final int T__14

      See Also:
        Constant Field Values

    - #### T__15

          public static final int T__15

      See Also:
        Constant Field Values

    - #### T__16

          public static final int T__16

      See Also:
        Constant Field Values

    - #### T__17

          public static final int T__17

      See Also:
        Constant Field Values

    - #### T__18

          public static final int T__18

      See Also:
        Constant Field Values

    - #### T__19

          public static final int T__19

      See Also:
        Constant Field Values

    - #### T__20

          public static final int T__20

      See Also:
        Constant Field Values

    - #### T__21

          public static final int T__21

      See Also:
        Constant Field Values

    - #### T__22

          public static final int T__22

      See Also:
        Constant Field Values

    - #### T__23

          public static final int T__23

      See Also:
        Constant Field Values

    - #### T__24

          public static final int T__24

      See Also:
        Constant Field Values

    - #### T__25

          public static final int T__25

      See Also:
        Constant Field Values

    - #### T__26

          public static final int T__26

      See Also:
        Constant Field Values

    - #### T__27

          public static final int T__27

      See Also:
        Constant Field Values

    - #### T__28

          public static final int T__28

      See Also:
        Constant Field Values

    - #### T__29

          public static final int T__29

      See Also:
        Constant Field Values

    - #### T__30

          public static final int T__30

      See Also:
        Constant Field Values

    - #### T__31

          public static final int T__31

      See Also:
        Constant Field Values

    - #### T__32

          public static final int T__32

      See Also:
        Constant Field Values

    - #### T__33

          public static final int T__33

      See Also:
        Constant Field Values

    - #### T__34

          public static final int T__34

      See Also:
        Constant Field Values

    - #### T__35

          public static final int T__35

      See Also:
        Constant Field Values

    - #### T__36

          public static final int T__36

      See Also:
        Constant Field Values

    - #### T__37

          public static final int T__37

      See Also:
        Constant Field Values

    - #### T__38

          public static final int T__38

      See Also:
        Constant Field Values

    - #### T__39

          public static final int T__39

      See Also:
        Constant Field Values

    - #### T__40

          public static final int T__40

      See Also:
        Constant Field Values

    - #### T__41

          public static final int T__41

      See Also:
        Constant Field Values

    - #### T__42

          public static final int T__42

      See Also:
        Constant Field Values

    - #### T__43

          public static final int T__43

      See Also:
        Constant Field Values

    - #### T__44

          public static final int T__44

      See Also:
        Constant Field Values

    - #### T__45

          public static final int T__45

      See Also:
        Constant Field Values

    - #### T__46

          public static final int T__46

      See Also:
        Constant Field Values

    - #### T__47

          public static final int T__47

      See Also:
        Constant Field Values

    - #### T__48

          public static final int T__48

      See Also:
        Constant Field Values

    - #### T__49

          public static final int T__49

      See Also:
        Constant Field Values

    - #### T__50

          public static final int T__50

      See Also:
        Constant Field Values

    - #### T__51

          public static final int T__51

      See Also:
        Constant Field Values

    - #### T__52

          public static final int T__52

      See Also:
        Constant Field Values

    - #### T__53

          public static final int T__53

      See Also:
        Constant Field Values

    - #### T__54

          public static final int T__54

      See Also:
        Constant Field Values

    - #### T__55

          public static final int T__55

      See Also:
        Constant Field Values

    - #### T__56

          public static final int T__56

      See Also:
        Constant Field Values

    - #### T__57

          public static final int T__57

      See Also:
        Constant Field Values

    - #### T__58

          public static final int T__58

      See Also:
        Constant Field Values

    - #### T__59

          public static final int T__59

      See Also:
        Constant Field Values

    - #### T__60

          public static final int T__60

      See Also:
        Constant Field Values

    - #### T__61

          public static final int T__61

      See Also:
        Constant Field Values

    - #### T__62

          public static final int T__62

      See Also:
        Constant Field Values

    - #### T__63

          public static final int T__63

      See Also:
        Constant Field Values

    - #### T__64

          public static final int T__64

      See Also:
        Constant Field Values

    - #### T__65

          public static final int T__65

      See Also:
        Constant Field Values

    - #### T__66

          public static final int T__66

      See Also:
        Constant Field Values

    - #### T__67

          public static final int T__67

      See Also:
        Constant Field Values

    - #### T__68

          public static final int T__68

      See Also:
        Constant Field Values

    - #### T__69

          public static final int T__69

      See Also:
        Constant Field Values

    - #### T__70

          public static final int T__70

      See Also:
        Constant Field Values

    - #### T__71

          public static final int T__71

      See Also:
        Constant Field Values

    - #### T__72

          public static final int T__72

      See Also:
        Constant Field Values

    - #### T__73

          public static final int T__73

      See Also:
        Constant Field Values

    - #### T__74

          public static final int T__74

      See Also:
        Constant Field Values

    - #### T__75

          public static final int T__75

      See Also:
        Constant Field Values

    - #### T__76

          public static final int T__76

      See Also:
        Constant Field Values

    - #### T__77

          public static final int T__77

      See Also:
        Constant Field Values

    - #### T__78

          public static final int T__78

      See Also:
        Constant Field Values

    - #### T__79

          public static final int T__79

      See Also:
        Constant Field Values

    - #### T__80

          public static final int T__80

      See Also:
        Constant Field Values

    - #### T__81

          public static final int T__81

      See Also:
        Constant Field Values

    - #### T__82

          public static final int T__82

      See Also:
        Constant Field Values

    - #### T__83

          public static final int T__83

      See Also:
        Constant Field Values

    - #### T__84

          public static final int T__84

      See Also:
        Constant Field Values

    - #### T__85

          public static final int T__85

      See Also:
        Constant Field Values

    - #### T__86

          public static final int T__86

      See Also:
        Constant Field Values

    - #### T__87

          public static final int T__87

      See Also:
        Constant Field Values

    - #### T__88

          public static final int T__88

      See Also:
        Constant Field Values

    - #### T__89

          public static final int T__89

      See Also:
        Constant Field Values

    - #### T__90

          public static final int T__90

      See Also:
        Constant Field Values

    - #### T__91

          public static final int T__91

      See Also:
        Constant Field Values

    - #### T__92

          public static final int T__92

      See Also:
        Constant Field Values

    - #### T__93

          public static final int T__93

      See Also:
        Constant Field Values

    - #### T__94

          public static final int T__94

      See Also:
        Constant Field Values

    - #### T__95

          public static final int T__95

      See Also:
        Constant Field Values

    - #### T__96

          public static final int T__96

      See Also:
        Constant Field Values

    - #### T__97

          public static final int T__97

      See Also:
        Constant Field Values

    - #### T__98

          public static final int T__98

      See Also:
        Constant Field Values

    - #### T__99

          public static final int T__99

      See Also:
        Constant Field Values

    - #### T__100

          public static final int T__100

      See Also:
        Constant Field Values

    - #### T__101

          public static final int T__101

      See Also:
        Constant Field Values

    - #### T__102

          public static final int T__102

      See Also:
        Constant Field Values

    - #### T__103

          public static final int T__103

      See Also:
        Constant Field Values

    - #### T__104

          public static final int T__104

      See Also:
        Constant Field Values

    - #### T__105

          public static final int T__105

      See Also:
        Constant Field Values

    - #### T__106

          public static final int T__106

      See Also:
        Constant Field Values

    - #### T__107

          public static final int T__107

      See Also:
        Constant Field Values

    - #### T__108

          public static final int T__108

      See Also:
        Constant Field Values

    - #### T__109

          public static final int T__109

      See Also:
        Constant Field Values

    - #### T__110

          public static final int T__110

      See Also:
        Constant Field Values

    - #### T__111

          public static final int T__111

      See Also:
        Constant Field Values

    - #### T__112

          public static final int T__112

      See Also:
        Constant Field Values

    - #### T__113

          public static final int T__113

      See Also:
        Constant Field Values

    - #### T__114

          public static final int T__114

      See Also:
        Constant Field Values

    - #### T__115

          public static final int T__115

      See Also:
        Constant Field Values

    - #### T__116

          public static final int T__116

      See Also:
        Constant Field Values

    - #### T__117

          public static final int T__117

      See Also:
        Constant Field Values

    - #### T__118

          public static final int T__118

      See Also:
        Constant Field Values

    - #### T__119

          public static final int T__119

      See Also:
        Constant Field Values

    - #### T__120

          public static final int T__120

      See Also:
        Constant Field Values

    - #### T__121

          public static final int T__121

      See Also:
        Constant Field Values

    - #### T__122

          public static final int T__122

      See Also:
        Constant Field Values

    - #### T__123

          public static final int T__123

      See Also:
        Constant Field Values

    - #### T__124

          public static final int T__124

      See Also:
        Constant Field Values

    - #### T__125

          public static final int T__125

      See Also:
        Constant Field Values

    - #### T__126

          public static final int T__126

      See Also:
        Constant Field Values

    - #### T__127

          public static final int T__127

      See Also:
        Constant Field Values

    - #### T__128

          public static final int T__128

      See Also:
        Constant Field Values

    - #### T__129

          public static final int T__129

      See Also:
        Constant Field Values

    - #### T__130

          public static final int T__130

      See Also:
        Constant Field Values

    - #### T__131

          public static final int T__131

      See Also:
        Constant Field Values

    - #### T__132

          public static final int T__132

      See Also:
        Constant Field Values

    - #### T__133

          public static final int T__133

      See Also:
        Constant Field Values

    - #### T__134

          public static final int T__134

      See Also:
        Constant Field Values

    - #### T__135

          public static final int T__135

      See Also:
        Constant Field Values

    - #### T__136

          public static final int T__136

      See Also:
        Constant Field Values

    - #### T__137

          public static final int T__137

      See Also:
        Constant Field Values

    - #### T__138

          public static final int T__138

      See Also:
        Constant Field Values

    - #### T__139

          public static final int T__139

      See Also:
        Constant Field Values

    - #### T__140

          public static final int T__140

      See Also:
        Constant Field Values

    - #### T__141

          public static final int T__141

      See Also:
        Constant Field Values

    - #### T__142

          public static final int T__142

      See Also:
        Constant Field Values

    - #### T__143

          public static final int T__143

      See Also:
        Constant Field Values

    - #### T__144

          public static final int T__144

      See Also:
        Constant Field Values

    - #### T__145

          public static final int T__145

      See Also:
        Constant Field Values

    - #### T__146

          public static final int T__146

      See Also:
        Constant Field Values

    - #### T__147

          public static final int T__147

      See Also:
        Constant Field Values

    - #### T__148

          public static final int T__148

      See Also:
        Constant Field Values

    - #### T__149

          public static final int T__149

      See Also:
        Constant Field Values

    - #### T__150

          public static final int T__150

      See Also:
        Constant Field Values

    - #### T__151

          public static final int T__151

      See Also:
        Constant Field Values

    - #### T__152

          public static final int T__152

      See Also:
        Constant Field Values

    - #### T__153

          public static final int T__153

      See Also:
        Constant Field Values

    - #### T__154

          public static final int T__154

      See Also:
        Constant Field Values

    - #### T__155

          public static final int T__155

      See Also:
        Constant Field Values

    - #### T__156

          public static final int T__156

      See Also:
        Constant Field Values

    - #### T__157

          public static final int T__157

      See Also:
        Constant Field Values

    - #### T__158

          public static final int T__158

      See Also:
        Constant Field Values

    - #### T__159

          public static final int T__159

      See Also:
        Constant Field Values

    - #### T__160

          public static final int T__160

      See Also:
        Constant Field Values

    - #### T__161

          public static final int T__161

      See Also:
        Constant Field Values

    - #### T__162

          public static final int T__162

      See Also:
        Constant Field Values

    - #### T__163

          public static final int T__163

      See Also:
        Constant Field Values

    - #### T__164

          public static final int T__164

      See Also:
        Constant Field Values

    - #### T__165

          public static final int T__165

      See Also:
        Constant Field Values

    - #### T__166

          public static final int T__166

      See Also:
        Constant Field Values

    - #### T__167

          public static final int T__167

      See Also:
        Constant Field Values

    - #### T__168

          public static final int T__168

      See Also:
        Constant Field Values

    - #### T__169

          public static final int T__169

      See Also:
        Constant Field Values

    - #### T__170

          public static final int T__170

      See Also:
        Constant Field Values

    - #### T__171

          public static final int T__171

      See Also:
        Constant Field Values

    - #### T__172

          public static final int T__172

      See Also:
        Constant Field Values

    - #### T__173

          public static final int T__173

      See Also:
        Constant Field Values

    - #### T__174

          public static final int T__174

      See Also:
        Constant Field Values

    - #### T__175

          public static final int T__175

      See Also:
        Constant Field Values

    - #### T__176

          public static final int T__176

      See Also:
        Constant Field Values

    - #### T__177

          public static final int T__177

      See Also:
        Constant Field Values

    - #### T__178

          public static final int T__178

      See Also:
        Constant Field Values

    - #### T__179

          public static final int T__179

      See Also:
        Constant Field Values

    - #### T__180

          public static final int T__180

      See Also:
        Constant Field Values

    - #### T__181

          public static final int T__181

      See Also:
        Constant Field Values

    - #### T__182

          public static final int T__182

      See Also:
        Constant Field Values

    - #### T__183

          public static final int T__183

      See Also:
        Constant Field Values

    - #### T__184

          public static final int T__184

      See Also:
        Constant Field Values

    - #### T__185

          public static final int T__185

      See Also:
        Constant Field Values

    - #### T__186

          public static final int T__186

      See Also:
        Constant Field Values

    - #### T__187

          public static final int T__187

      See Also:
        Constant Field Values

    - #### T__188

          public static final int T__188

      See Also:
        Constant Field Values

    - #### T__189

          public static final int T__189

      See Also:
        Constant Field Values

    - #### T__190

          public static final int T__190

      See Also:
        Constant Field Values

    - #### T__191

          public static final int T__191

      See Also:
        Constant Field Values

    - #### T__192

          public static final int T__192

      See Also:
        Constant Field Values

    - #### T__193

          public static final int T__193

      See Also:
        Constant Field Values

    - #### T__194

          public static final int T__194

      See Also:
        Constant Field Values

    - #### T__195

          public static final int T__195

      See Also:
        Constant Field Values

    - #### T__196

          public static final int T__196

      See Also:
        Constant Field Values

    - #### T__197

          public static final int T__197

      See Also:
        Constant Field Values

    - #### T__198

          public static final int T__198

      See Also:
        Constant Field Values

    - #### T__199

          public static final int T__199

      See Also:
        Constant Field Values

    - #### T__200

          public static final int T__200

      See Also:
        Constant Field Values

    - #### T__201

          public static final int T__201

      See Also:
        Constant Field Values

    - #### T__202

          public static final int T__202

      See Also:
        Constant Field Values

    - #### T__203

          public static final int T__203

      See Also:
        Constant Field Values

    - #### T__204

          public static final int T__204

      See Also:
        Constant Field Values

    - #### T__205

          public static final int T__205

      See Also:
        Constant Field Values

    - #### T__206

          public static final int T__206

      See Also:
        Constant Field Values

    - #### T__207

          public static final int T__207

      See Also:
        Constant Field Values

    - #### T__208

          public static final int T__208

      See Also:
        Constant Field Values

    - #### T__209

          public static final int T__209

      See Also:
        Constant Field Values

    - #### T__210

          public static final int T__210

      See Also:
        Constant Field Values

    - #### T__211

          public static final int T__211

      See Also:
        Constant Field Values

    - #### T__212

          public static final int T__212

      See Also:
        Constant Field Values

    - #### T__213

          public static final int T__213

      See Also:
        Constant Field Values

    - #### T__214

          public static final int T__214

      See Also:
        Constant Field Values

    - #### T__215

          public static final int T__215

      See Also:
        Constant Field Values

    - #### T__216

          public static final int T__216

      See Also:
        Constant Field Values

    - #### T__217

          public static final int T__217

      See Also:
        Constant Field Values

    - #### T__218

          public static final int T__218

      See Also:
        Constant Field Values

    - #### T__219

          public static final int T__219

      See Also:
        Constant Field Values

    - #### T__220

          public static final int T__220

      See Also:
        Constant Field Values

    - #### T__221

          public static final int T__221

      See Also:
        Constant Field Values

    - #### T__222

          public static final int T__222

      See Also:
        Constant Field Values

    - #### T__223

          public static final int T__223

      See Also:
        Constant Field Values

    - #### T__224

          public static final int T__224

      See Also:
        Constant Field Values

    - #### T__225

          public static final int T__225

      See Also:
        Constant Field Values

    - #### T__226

          public static final int T__226

      See Also:
        Constant Field Values

    - #### T__227

          public static final int T__227

      See Also:
        Constant Field Values

    - #### T__228

          public static final int T__228

      See Also:
        Constant Field Values

    - #### T__229

          public static final int T__229

      See Also:
        Constant Field Values

    - #### T__230

          public static final int T__230

      See Also:
        Constant Field Values

    - #### T__231

          public static final int T__231

      See Also:
        Constant Field Values

    - #### T__232

          public static final int T__232

      See Also:
        Constant Field Values

    - #### T__233

          public static final int T__233

      See Also:
        Constant Field Values

    - #### T__234

          public static final int T__234

      See Also:
        Constant Field Values

    - #### T__235

          public static final int T__235

      See Also:
        Constant Field Values

    - #### T__236

          public static final int T__236

      See Also:
        Constant Field Values

    - #### T__237

          public static final int T__237

      See Also:
        Constant Field Values

    - #### T__238

          public static final int T__238

      See Also:
        Constant Field Values

    - #### T__239

          public static final int T__239

      See Also:
        Constant Field Values

    - #### T__240

          public static final int T__240

      See Also:
        Constant Field Values

    - #### T__241

          public static final int T__241

      See Also:
        Constant Field Values

    - #### T__242

          public static final int T__242

      See Also:
        Constant Field Values

    - #### T__243

          public static final int T__243

      See Also:
        Constant Field Values

    - #### T__244

          public static final int T__244

      See Also:
        Constant Field Values

    - #### T__245

          public static final int T__245

      See Also:
        Constant Field Values

    - #### T__246

          public static final int T__246

      See Also:
        Constant Field Values

    - #### T__247

          public static final int T__247

      See Also:
        Constant Field Values

    - #### T__248

          public static final int T__248

      See Also:
        Constant Field Values

    - #### T__249

          public static final int T__249

      See Also:
        Constant Field Values

    - #### T__250

          public static final int T__250

      See Also:
        Constant Field Values

    - #### T__251

          public static final int T__251

      See Also:
        Constant Field Values

    - #### T__252

          public static final int T__252

      See Also:
        Constant Field Values

    - #### T__253

          public static final int T__253

      See Also:
        Constant Field Values

    - #### T__254

          public static final int T__254

      See Also:
        Constant Field Values

    - #### T__255

          public static final int T__255

      See Also:
        Constant Field Values

    - #### T__256

          public static final int T__256

      See Also:
        Constant Field Values

    - #### T__257

          public static final int T__257

      See Also:
        Constant Field Values

    - #### T__258

          public static final int T__258

      See Also:
        Constant Field Values

    - #### T__259

          public static final int T__259

      See Also:
        Constant Field Values

    - #### T__260

          public static final int T__260

      See Also:
        Constant Field Values

    - #### NEW

          public static final int NEW

      See Also:
        Constant Field Values

    - #### IntegerLiteral

          public static final int IntegerLiteral

      See Also:
        Constant Field Values

    - #### FloatingPointLiteral

          public static final int FloatingPointLiteral

      See Also:
        Constant Field Values

    - #### BooleanLiteral

          public static final int BooleanLiteral

      See Also:
        Constant Field Values

    - #### NullLiteral

          public static final int NullLiteral

      See Also:
        Constant Field Values

    - #### NonEmptyStringLiteral

          public static final int NonEmptyStringLiteral

      See Also:
        Constant Field Values

    - #### EmptyStringLiteral

          public static final int EmptyStringLiteral

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final int RPAREN

      See Also:
        Constant Field Values

    - #### LBRACE

          public static final int LBRACE

      See Also:
        Constant Field Values

    - #### RBRACE

          public static final int RBRACE

      See Also:
        Constant Field Values

    - #### LBRACK

          public static final int LBRACK

      See Also:
        Constant Field Values

    - #### RBRACK

          public static final int RBRACK

      See Also:
        Constant Field Values

    - #### SEMI

          public static final int SEMI

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### DOT

          public static final int DOT

      See Also:
        Constant Field Values

    - #### COLON

          public static final int COLON

      See Also:
        Constant Field Values

    - #### TRAVERSAL_ROOT

          public static final int TRAVERSAL_ROOT

      See Also:
        Constant Field Values

    - #### ANON_TRAVERSAL_ROOT

          public static final int ANON_TRAVERSAL_ROOT

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### LINE_COMMENT

          public static final int LINE_COMMENT

      See Also:
        Constant Field Values

    - #### channelNames

          public static String[] channelNames

    - #### modeNames

          public static String[] modeNames

    - #### ruleNames

          public static final String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final String[] tokenNames

      Deprecated. Use `VOCABULARY` instead.

    - #### _serializedATN

          public static final String _serializedATN

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### GremlinLexer

          public GremlinLexer(org.antlr.v4.runtime.CharStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public String[] getTokenNames()

      Deprecated.
      Overrides:
        `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getRuleNames

          public String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getSerializedATN

          public String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getChannelNames

          public String[] getChannelNames()

      Overrides:
        `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getModeNames

          public String[] getModeNames()

      Overrides:
        `getModeNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.